Subject: Re: bug#43184: Qbittorent Search Doesnt work.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 29 Sep 2022 23:10:57 -0400

Hello,

Maxime Devos <[email-masked]> writes:

> reopen 43184
> merge 43184 53334
> thanks
>
> On 29-09-2022 02:23, Maxim Cournoyer wrote:
>> Hello,
>> Marinus Savoritias <[email-masked]> writes:
>> 
>>> When I try to open the search engine in Qbittorent it comes up with
>>> this error:
>>> "Python is required to use the search engine but it does not seem to
>>> be installed."
>>>
>>> Maybe it needs Python as one of the inputs or it is not being
>>> mentioned explicity?
>>>
>>> MSavoritias
>> Testing it with 'guix shell qbittorrent -- qbittorrent', the search
>> seems to work; even though I have no torrent file loaded.
>> Closing, please reopen if something is amiss!
>
> You probably have a 'python' sitting in the environment.  I can
> reproduce with 'guix shell --pure qbittorrent -- qbittorrent' (note:
> you have to use 'View > Search engine', not 'Filter torrent names').
>
> There is a patch available at <https://issues.guix.gnu.org/53334#2>
> for baking in a reference to Python.

Ah yes, silly me, I should have used --pure.  Thanks for reopening!

-- 
Maxim